curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/stats' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"stats": {
"avg_duration_seconds": 7.5,
"billable": 1,
"billing_status_mix": [
{
"count": null,
"name": null
}
],
"emitted": 1,
"escalated": 1,
"failed_billing": 1,
"not_billable": 1,
"pending_emit": 1,
"resolution_mix": [
{
"count": null,
"name": null
}
],
"risk_mix": [
{
"count": null,
"name": null
}
],
"sku_mix": [
{
"count": null,
"name": null
}
],
"total": 102
},
"tenant": "acme-outdoors"
}
Get Voice Outcome Stats
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
GET
/
api
/
v1
/
voice-outcomes
/
stats
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/stats' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"stats": {
"avg_duration_seconds": 7.5,
"billable": 1,
"billing_status_mix": [
{
"count": null,
"name": null
}
],
"emitted": 1,
"escalated": 1,
"failed_billing": 1,
"not_billable": 1,
"pending_emit": 1,
"resolution_mix": [
{
"count": null,
"name": null
}
],
"risk_mix": [
{
"count": null,
"name": null
}
],
"sku_mix": [
{
"count": null,
"name": null
}
],
"total": 102
},
"tenant": "acme-outdoors"
}
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
Query parameters
Response
VoiceOutcomeStatsResponse
Show VoiceOutcomeStats
Show VoiceOutcomeStats
Status codes
| Code | Meaning |
|---|---|
200 | Aggregate canonical voice outcome stats |
401 | Unauthorized |
503 | Database not configured |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/stats' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"stats": {
"avg_duration_seconds": 7.5,
"billable": 1,
"billing_status_mix": [
{
"count": null,
"name": null
}
],
"emitted": 1,
"escalated": 1,
"failed_billing": 1,
"not_billable": 1,
"pending_emit": 1,
"resolution_mix": [
{
"count": null,
"name": null
}
],
"risk_mix": [
{
"count": null,
"name": null
}
],
"sku_mix": [
{
"count": null,
"name": null
}
],
"total": 102
},
"tenant": "acme-outdoors"
}
Last modified on August 31, 2026